# Class EncryptedConnection

#### Hierarchy

- unknown
  - EncryptedConnection

- Defined in src/protobuf/pb_pb.d.ts:6723
- Defined in src/protobuf/pb_pb.d.ts:6751

#####
Index

### Constructors

constructor

### Methods

getEncryptedPassword
getEncryptedPassword_asB64
getEncryptedPassword_asU8
getEncryptionSalt
getEncryptionSalt_asB64
getEncryptionSalt_asU8
getPriority
getUrl
getUsername
serializeBinary
setEncryptedPassword
setEncryptionSalt
setPriority
setUrl
setUsername
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new EncryptedConnection(): EncryptedConnection

- #### Returns EncryptedConnection

  Inherited from jspb.Message.constructor

## Methods

### getEncryptedPassword

- getEncryptedPassword(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6730

### getEncryptedPassword_asB64

- getEncryptedPassword_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6732

### getEncryptedPassword_asU8

- getEncryptedPassword_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6731

### getEncryptionSalt

- getEncryptionSalt(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6735

### getEncryptionSalt_asB64

- getEncryptionSalt_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6737

### getEncryptionSalt_asU8

- getEncryptionSalt_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6736

### getPriority

- getPriority(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6740

### getUrl

- getUrl(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6724

### getUsername

- getUsername(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6727

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6743

### setEncryptedPassword

- setEncryptedPassword(value: string | Uint8Array): EncryptedConnection

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns EncryptedConnection

  - Defined in src/protobuf/pb_pb.d.ts:6733

### setEncryptionSalt

- setEncryptionSalt(value: string | Uint8Array): EncryptedConnection

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns EncryptedConnection

  - Defined in src/protobuf/pb_pb.d.ts:6738

### setPriority

- setPriority(value: number): EncryptedConnection

- #### Parameters

  - ##### value: number

  #### Returns EncryptedConnection

  - Defined in src/protobuf/pb_pb.d.ts:6741

### setUrl

- setUrl(value: string): EncryptedConnection

- #### Parameters

  - ##### value: string

  #### Returns EncryptedConnection

  - Defined in src/protobuf/pb_pb.d.ts:6725

### setUsername

- setUsername(value: string): EncryptedConnection

- #### Parameters

  - ##### value: string

  #### Returns EncryptedConnection

  - Defined in src/protobuf/pb_pb.d.ts:6728

### toObject

- toObject(includeInstance?: boolean): EncryptedConnection.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns EncryptedConnection.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6744

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): EncryptedConnection

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns EncryptedConnection

  - Defined in src/protobuf/pb_pb.d.ts:6747

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: EncryptedConnection, reader: BinaryReader): EncryptedConnection

- #### Parameters

  - ##### message: EncryptedConnection

  - ##### reader: BinaryReader

  #### Returns EncryptedConnection

  - Defined in src/protobuf/pb_pb.d.ts:6748

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: EncryptedConnection, writer: BinaryWriter): void

- #### Parameters

  - ##### message: EncryptedConnection

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:6746

### `Static` toObject

- toObject(includeInstance: boolean, msg: EncryptedConnection): EncryptedConnection.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: EncryptedConnection

  #### Returns EncryptedConnection.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6745

Generated using TypeDoc